/*
 * HFS (aka MAC) filesystem/handler for MorphOS/AmigaOS
 * Author: Marek 'March' Szyprowski <marek@amiga.pl>
 */

#ifndef __MACFS_HANDLER_SUPPORT_H
#define __MACFS_HANDLER_SUPPORT_H


void MacTime2DateStamp(ULONG date, struct DateStamp *datestamp);
void DateStamp2MacTime(struct DateStamp *datestamp, ULONG *date);
void SendEvent(LONG event);
int ErrorReq (STRPTR text, ULONG args[]);

void HFSDate2DateStamp(ULONG date, struct DateStamp *datestamp);

#ifdef __DEBUG__

#ifdef __DEBUG_TIMINGS__
void kprint_time();
#else
#define kprint_time()
#endif

#define kprintf( fmt, ... )        \
({                                 \
  ULONG _args[] = { __VA_ARGS__ }; \
  kprint_time();                   \
  KPrintFArgs( (fmt), _args );     \
})
void knprints(UBYTE *name, LONG namelen);
#else
#define kprintf( fmt, ... )
#define knprints( path, len )
#endif

void KPrintFArgs( UBYTE* fmt, ULONG* args );

#endif

